Bug 1444038 - Chargeback for container images report editor filter tab produces an error if there are too many images in the database
Summary: Chargeback for container images report editor filter tab produces an error if...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: GA
: 5.8.0
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:chargeback
Depends On: 1442158
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 13:17 UTC by Satoe Imaishi
Modified: 2020-06-11 13:39 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442158
Environment:
Last Closed: 2017-05-31 14:55:47 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:13:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/644a960dd8288d4c408debdac275b9b742e918fc

commit 644a960dd8288d4c408debdac275b9b742e918fc
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Apr 20 10:49:38 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:06:59 2017 -0400

    Merge pull request #1077 from isimluk/rhbz#1442158
    
    Do not store openshift env in the controller, use lookup helper instead
    (cherry picked from commit 287dc37c723d86d1e4fe6657a98e9dc29d3980d0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444038

 .../report_controller/reports/editor.rb            |  8 --------
 app/helpers/report_helper.rb                       |  2 ++
 app/helpers/report_helper/editor.rb                | 12 ++++++++++++
 app/views/report/_form_filter_chargeback.html.haml |  3 +--
 spec/controllers/report_controller_spec.rb         | 22 ----------------------
 5 files changed, 15 insertions(+), 32 deletions(-)
 create mode 100644 app/helpers/report_helper/editor.rb

Comment 3 CFME Bot 2017-04-20 22:31:18 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/71fa007377196b7a97c941c79692d8c049df129d

commit 71fa007377196b7a97c941c79692d8c049df129d
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Thu Apr 20 10:00:47 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:29:50 2017 -0400

    Merge pull request #14816 from zeari/fix_nil_images_in_chargeback
    
    group chargeback with unknown image under 'unknown image'
    (cherry picked from commit 993774e1eb0d36a800ea60d7ed04eb1be2b38c8f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444038

 app/models/chargeback_container_image.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 4 Mooli Tayer 2017-04-23 12:32:03 UTC
Ari, should this be on POST ?

Comment 5 Ari Zellner 2017-04-23 13:09:41 UTC
Also needs https://github.com/ManageIQ/manageiq/pull/14811 listed in the opening message

Comment 6 Mooli Tayer 2017-04-23 15:41:57 UTC
since https://github.com/ManageIQ/manageiq/pull/14811 is also merged to fine can we move this to POST?

Comment 7 Ari Zellner 2017-04-23 16:08:07 UTC
right, i didnt see the commit message here. moving to POST.

Comment 8 Einat Pacifici 2017-05-10 09:42:58 UTC
Ari, since this BZ requires a DB with 40K+ images (which is something we don't have in QE) can you please provide some details on how to setup/reproduce this?

Comment 9 Ari Zellner 2017-05-11 10:47:55 UTC
Einat, we can generate fake images that would be 'good enough' to try to blow up the UI.

1) open rails console with 'rails c'
2) paste in: (1..40000).each  {|x| ContainerImage.create(:name => x.to_s, :ext_management_system => ExtManagementSystem.first)}
3) in Chargeback based on container images report editor, go to the filter tab
4) under provider, choose the first one there. 
5) at this point the UI should error or let you choose between 40K images under the 'Container Image' dropdown

Comment 10 Einat Pacifici 2017-05-16 13:10:15 UTC
Verified.

Comment 12 errata-xmlrpc 2017-05-31 14:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.